tvbrowser.core.icontheme

## Class ThemeDownloadItem

- java.lang.Object
- - tvbrowser.core.icontheme.ThemeDownloadItem

- All Implemented Interfaces:
    java.lang.Comparable<ThemeDownloadItem>

      public class ThemeDownloadItem
      extends java.lang.Object
      implements java.lang.Comparable<ThemeDownloadItem>

  Download item for icon theme download Modified from `SoftwareUpdateItem`
  Author:
    René Mach

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `AUTHOR`
    `static java.lang.String` | `DESCRIPTION_DE`
    `static java.lang.String` | `DESCRIPTION_EN`
    `static java.lang.String` | `DOWNLOAD_URL`
    `static java.lang.String` | `NAME_DE`
    `static java.lang.String` | `NAME_EN`
    `static java.lang.String` | `PREVIEW_IMAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThemeDownloadItem(java.lang.String id)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProperty(java.lang.String key, java.lang.String value)`
    `int` | `compareTo(ThemeDownloadItem o)`
    `boolean` | `download(java.io.File iconDir)`
    `java.lang.String` | `getAuthor()`
    `java.lang.String` | `getDescription(java.util.Locale lang)`
    `java.lang.String` | `getName(java.util.Locale lang)`
    `javax.swing.ImageIcon` | `getPreviewImage()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NAME_EN

          public static final java.lang.String NAME_EN

      See Also:
        Constant Field Values

    - #### NAME_DE

          public static final java.lang.String NAME_DE

      See Also:
        Constant Field Values

    - #### DESCRIPTION_EN

          public static final java.lang.String DESCRIPTION_EN

      See Also:
        Constant Field Values

    - #### DESCRIPTION_DE

          public static final java.lang.String DESCRIPTION_DE

      See Also:
        Constant Field Values

    - #### PREVIEW_IMAGE

          public static final java.lang.String PREVIEW_IMAGE

      See Also:
        Constant Field Values

    - #### DOWNLOAD_URL

          public static final java.lang.String DOWNLOAD_URL

      See Also:
        Constant Field Values

    - #### AUTHOR

          public static final java.lang.String AUTHOR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ThemeDownloadItem

          public ThemeDownloadItem(java.lang.String id)

  - ### Method Detail

    - #### addProperty

          public void addProperty(java.lang.String key,
                         java.lang.String value)

    - #### getName

          public java.lang.String getName(java.util.Locale lang)

    - #### getDescription

          public java.lang.String getDescription(java.util.Locale lang)

    - #### getPreviewImage

          public javax.swing.ImageIcon getPreviewImage()

    - #### getAuthor

          public java.lang.String getAuthor()

    - #### download

          public boolean download(java.io.File iconDir)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(ThemeDownloadItem o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<ThemeDownloadItem>`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)